Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.model.common.di.service.impl
Class EclipseContextViewServiceImpl

    java.lang.Object
      org.eclipse.emf.ecp.view.model.common.di.service.impl.EclipseContextViewServiceImpl

All Implemented Interfaces:
  EclipseContextViewService, ViewModelService

    public class EclipseContextViewServiceImpl

extends Object
implements EclipseContextViewService

Implementation of the `EclipseContextViewService`.

Author:
  jfaltermeier

Constructor Summary
`EclipseContextViewServiceImpl()`

Method Summary
`void` | `dispose()` Dispose.
`org.eclipse.e4.core.contexts.IEclipseContext` | `getContext(VElement element)` Returns the context associated with the given `VElement`.
`int` | `getPriority()` Returns the priority for this view service.
`void` | `instantiate(ViewModelContext context)` Instantiate the view service.
`void` | `putContext(VElement element, org.eclipse.e4.core.contexts.IEclipseContext context)` Sets the context for the `VElement`.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EclipseContextViewServiceImpl

    public EclipseContextViewServiceImpl()

Method Detail

### instantiate

    public void instantiate(ViewModelContext context)

  Instantiate the view service.

  Specified by:
    `instantiate` in interface `ViewModelService`
  Parameters:
    `context` - the `ViewModelContext`
  See Also:
    `ViewModelService.instantiate(org.eclipse.emf.ecp.view.spi.context.ViewModelContext)`

### dispose

    public void dispose()

  Dispose.

  Specified by:
    `dispose` in interface `ViewModelService`
  See Also:
    `ViewModelService.dispose()`

### getPriority

    public int getPriority()

  Returns the priority for this view service.

  Specified by:
    `getPriority` in interface `ViewModelService`
  Returns:
    the priority
  See Also:
    `ViewModelService.getPriority()`

### putContext

    public void putContext(VElement element,
                           org.eclipse.e4.core.contexts.IEclipseContext context)

  Sets the context for the `VElement`.

  Specified by:
    `putContext` in interface `EclipseContextViewService`
  Parameters:
    `element` - the element associated with the context
    `context` - the `IEclipseContext`.
  See Also:
    `EclipseContextViewService.putContext(org.eclipse.emf.ecp.view.spi.model.VElement, org.eclipse.e4.core.contexts.IEclipseContext)`

### getContext

    public org.eclipse.e4.core.contexts.IEclipseContext getContext(VElement element)

  Returns the context associated with the given `VElement`.

  Specified by:
    `getContext` in interface `EclipseContextViewService`
  Parameters:
    `element` - the element for which the `IEclipseContext` is to be returned.
  Returns:
    the `IEclipseContext`
  See Also:
    `EclipseContextViewService.getContext(org.eclipse.emf.ecp.view.spi.model.VElement)`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.